GNU bug report logs - #19412
24.3; ido-write-file sometimes writes to a different directory than it says it will

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Don Morrison <dfm@HIDDEN>; merged with #20248; dated Fri, 19 Dec 2014 20:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 19412 20248. Request was from Stefan Monnier <monnier@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2014 20:56:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 19 15:56:45 2014
Received: from localhost ([127.0.0.1]:51891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y24bM-0002Qk-S0
	for submit <at> debbugs.gnu.org; Fri, 19 Dec 2014 15:56:45 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56609)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dfmorrison@HIDDEN>) id 1Y243r-0000Az-Cq
 for submit <at> debbugs.gnu.org; Fri, 19 Dec 2014 15:22:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dfmorrison@HIDDEN>) id 1Y243q-0000Y8-1M
 for submit <at> debbugs.gnu.org; Fri, 19 Dec 2014 15:22:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=AC_HTML_NONSENSE_TAGS, BAYES_50,
 FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36609)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dfmorrison@HIDDEN>) id 1Y243p-0000Y4-U6
 for submit <at> debbugs.gnu.org; Fri, 19 Dec 2014 15:22:05 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58328)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dfmorrison@HIDDEN>) id 1Y243o-00006y-B0
 for bug-gnu-emacs@HIDDEN; Fri, 19 Dec 2014 15:22:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dfmorrison@HIDDEN>) id 1Y243n-0000XP-1C
 for bug-gnu-emacs@HIDDEN; Fri, 19 Dec 2014 15:22:04 -0500
Received: from mail-wi0-x231.google.com ([2a00:1450:400c:c05::231]:35612)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dfmorrison@HIDDEN>) id 1Y243m-0000XA-Mz
 for bug-gnu-emacs@HIDDEN; Fri, 19 Dec 2014 15:22:02 -0500
Received: by mail-wi0-f177.google.com with SMTP id l15so2945076wiw.10
 for <bug-gnu-emacs@HIDDEN>; Fri, 19 Dec 2014 12:22:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:from:date:message-id:subject:to:content-type;
 bh=WsdigvNbLARLd2hnO9qYiZAZcWHW48GwjDzhKn/IeXo=;
 b=aLY5g193VvtTo/ZaXp01z0JOrCymT64Q+zfRpjrDls3kQ8EagE6WRLv3j6WgAxpCf+
 jKE8ibipU8LW3mEzY4o10JOndDV90NZKeKSBEauRTnVbqJ7QqtIKIDx1YNzMjv3bt4wc
 0l6TEocUcoce63d+sgLgoCUHFHWxZeG+5rhuUTdLY6HfMw8rqQ0C/k28ocgeNSbH+fvB
 4NriNWKDCVuNjGY9DAGE/sqNFhnGhywBS0bsTzHRXIOeJRfvUqbKe6ZZZ9fc3oNglvuo
 JKOe9xX9Qmgqh8posLhmVNv/uXqmHIAllqPLXsAMU0zp1ga0Kx+l9UqDalY06cFZp5Zh
 zJgw==
X-Received: by 10.181.12.17 with SMTP id em17mr9051691wid.45.1419020521243;
 Fri, 19 Dec 2014 12:22:01 -0800 (PST)
MIME-Version: 1.0
Received: by 10.27.179.215 with HTTP; Fri, 19 Dec 2014 12:21:20 -0800 (PST)
From: Don Morrison <dfm@HIDDEN>
Date: Fri, 19 Dec 2014 15:21:20 -0500
X-Google-Sender-Auth: rneSgx94GvRVGkTho0Rbs1Dkhw0
Message-ID: <CAO9hiFVLErQ19pYmF6cO8Ef7dCAM1hPbtMi31-meB4S6XBoF9w@HIDDEN>
Subject: 24.3; ido-write-file sometimes writes to a different directory than
 it says it will
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 19 Dec 2014 15:56:44 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':



Create a file, ~/mumble.frotz, containing some text.

emacs -Q

M-x ido-mode

M-x ido-everywhere

C-x C-f ~/mumble.frotz

C-x C-w /tmp/ C-f

You are now sitting at a prompt that appears to be saying if confirmed
it will write the file into /tmp/, with the file name mumble.frotz
implied.

Hit the carriage return key to confirm it.

Note that it is trying to write it into ~/mumble.frotz, not /tmp/mumble.frotz




If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
 of 2014-03-07 on lamiak, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description: Linux Mint 17 Qiana

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  ido-everywhere: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> M-x i d o - e v e r y w h e
r e <return> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> m o d e <return> M-x i d o - e v e r y
w h e r e <return> C-x C-f m u m <return> C-x C-w /
t m p / C-f <return> C-g <help-echo> M-x r e p o r
t - e m a c s - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Ido mode enabled
Ido-Everywhere mode enabled
mumble.frotz has auto save data; consider M-x recover-this-file
Quit
Type C-x 1 to delete the help window.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr help-mode emacsbug message rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils
tramp-cache tramp tramp-compat auth-source eieio byte-opt bytecomp
byte-compile cconv gnus-util mm-util mail-prsvr password-cache
tramp-loaddefs shell pcomplete comint ansi-color ring format-spec advice
help-fns cl-lib advice-preload cus-start cus-load ido time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)




Acknowledgement sent to Don Morrison <dfm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19412; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 3 Apr 2015 02:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.